
Redmine - Defect #42066

NoMethodError exception occurs in IssuePriority#high and #low when both default and active

priorities are absent

2025-01-03 08:35 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 5.1.6   

Resolution: Fixed Affected version:  

Description

A NoMethodError exception occurs when there is no default issue priority and all issue priorities are inactive, and IssuePriority#high

or IssuePriority#low is called. his issue affects the process of generating the email notification recipients in Issue#notified_users.

Consequently, the error can lead to an Internal Server Error being displayed in the user’s web browser during issue updates.

The attached patch updates IssuePriority#high and IssuePriority#low to return false when self.class.default_or_middle is nil, avoiding

exceptions.

Related issues:

Related to Redmine - Defect #40860: Creating a new issue fails with an intern... Closed

Associated revisions

Revision 23431 - 2025-01-05 04:04 - Go MAEDA

Fix NoMethodError in IssuePriority#high and #low when no default or active priorities exist (#42066).

Patch by Go MAEDA (user:maeda).

Revision 23435 - 2025-01-15 09:19 - Go MAEDA

Merged r23431 from trunk to 6.0-stable (#42066).

Revision 23436 - 2025-01-15 09:20 - Go MAEDA

Merged r23431 from trunk to 5.1-stable (#42066).

History

#1 - 2025-01-04 08:36 - Go MAEDA

- Related to Defect #40860: Creating a new issue fails with an internal error if no issue priorities are defined added

#2 - 2025-01-04 08:37 - Go MAEDA

- Target version set to 5.1.6

Setting the target version to 5.1.6.

#3 - 2025-01-05 04:05 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23431.

#4 - 2025-01-15 09:21 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into stable branches in r23435 and r23436.
https://www.redmine.org/projects/redmine/repository/svn/revisions/23431
https://www.redmine.org/projects/redmine/repository/svn/revisions/23435
https://www.redmine.org/projects/redmine/repository/svn/revisions/23436
0001-Fix-NoMethodError-in-IssuePriority-high-and-low-when.patch 2.16 KB 2025-01-03 Go MAEDA
